
import os

from pandas.tseries.offsets import DateOffset
import pandas
import smartcarb.io
import smartcarb.config as cfg

origins = sorted(cfg.POINT_SOURCES.keys())

print(origins)

for origin in origins:
    for month in range(1,13):

        start = pandas.Timestamp('2015-%02d-01' % month)
        end = start + DateOffset(months=1)
        print(origin, start, end)

        filename = "ts_wind_%s_at_%s.nc" % (start.strftime('%Y-%m'), origin.replace(' ', '_'))
        filename = os.path.join(cfg.WIND_PATH, filename)

        if os.path.exists(filename):
            continue

        d = smartcarb.io.extract_wind_profile(origin, start, end)
        d.to_netcdf(filename)
        d.close()


